Version 17 (modified by bartek, 5 years ago) (diff)

--

We currently maintain repositories for Centos 7, Scientific Linux 5 and 6, and Debian.

Centos 7

  • Official QosCosGrid repository
    rpm -Uvh http://www.qoscosgrid.org/qcg-packages/centos7/x86_64/qcg-repo-stable-1.0.0-1.centos7.noarch.rpm
    
  • QosCosGrid unstable repository (not recommended - mainly for developers and testers)
    rpm -Uvh http://www.qoscosgrid.org/qcg-packages/centos7/x86_64/qcg-repo-unstable-1.0.0-1.centos7.noarch.rpm
    
  • EPEL repository (required for QCG-Computing and QCG-Notification dependencies)
    rpm -Uvh http://ftp.ps.pl/pub/Linux/fedora-epel/7/x86_64/e/epel-release-7-5.noarch.rpm
    
  • EGI UMD 4 repository (required for EGI Information System (BDII) dependencies)
    rpm -Uvh http://repository.egi.eu/sw/production/umd/4/centos7/x86_64/base/umd-release-4.0.0-1.el7.noarch.rpm
    

SL6

  • Official QosCosGrid repository
    rpm -Uvh http://www.qoscosgrid.org/qcg-packages/sl6/x86_64/qcg-repo-stable-1.0.0-1.noarch.rpm
    
  • QosCosGrid unstable repository (not recommended - mainly for developers and testers)
    rpm -Uvh http://www.qoscosgrid.org/qcg-packages/sl6/x86_64/qcg-repo-unstable-1.0.0-1.noarch.rpm
    
  • EPEL repository (required for QCG-Computing and QCG-Notification dependencies)
    rpm -Uvh http://ftp.ps.pl/pub/Linux/fedora-epel/6/x86_64/epel-release-6-8.noarch.rpm
    
  • EMI3 (Monte Bianco) repository (required for EGI Information System (BDII) dependencies)
    yum install yum-priorities yum-protectbase
    rpm -Uvh http://emisoft.web.cern.ch/emisoft/dist/EMI/3/sl6/x86_64/base/emi-release-3.0.0-2.el6.noarch.rpm
    

SL5

  • Official PL-Grid repository (recommended)
    rpm -Uvh http://software.plgrid.pl/packages/repos/plgrid-repos-2010-2.noarch.rpm
    
  • Official QosCosGrid repository
    rpm -Uvh http://www.qoscosgrid.org/qcg-packages/sl5/x86_64/qcg-repo-stable-1.0.0-1.noarch.rpm
    
  • QosCosGrid unstable repository (not recommended - mainly for developers and testers)
    rpm -Uvh http://www.qoscosgrid.org/qcg-packages/sl5/x86_64/qcg-repo-unstable-1.0.0-1.noarch.rpm
    
  • EPEL repository (required for QCG-Computing and QCG-Notification dependencies)
    rpm -Uvh http://ftp.ps.pl/pub/Linux/fedora-epel/5/x86_64/epel-release-5-4.noarch.rpm
    
  • EMI3 (Monte Bianco) repository (required for EGI Information System (BDII) dependencies)
    yum install yum-priorities yum-protectbase
    rpm -Uvh http://emisoft.web.cern.ch/emisoft/dist/EMI/3/sl5/x86_64/base/emi-release-3.0.0-2.el5.noarch.rpm
    

Debian

  • Installing new deb source:
    cat > /etc/apt/sources.list.d/qcg.unstable.list << EOF
    deb http://www.qoscosgrid.org/qcg-packages/debian/ unstable main
    EOF
    
  • Installing repo key:
    wget https://apps.man.poznan.pl/trac/qcg-notification/raw-attachment/wiki/InstallingUsingDeb/qcg.pub
    apt-key add qcg.pub
    
  • Refreshing packages list:
    apt-get update